#!/bin/bash
# Here lie common routines and variables used by scripts for the rmview application.

function pidFor() {
  echo `find /proc -name cmdline 2>/dev/null | xargs grep -l  $1 2>/dev/null |  head -1 | tr '/' ' '  | awk '{ print $2 }'`
}

function monitorState() {
   Result=`rmxml state -i=$1 | grep status | tr '\"' ' ' | awk '{ print $3 }'`
   echo $Result;
}

function createProcessMonitor() {
  echo Attempt to create Watermark $2 for pid=$3  $4
  cat $1 | sed -e \
  "s/NewPID/$3/" | sed -e \
  "s/NewName/"$4"/"  | sed -e \
  "s/NewDescription/"$5"/"  |  rmxml create -i=$2 
} 

function rmview_monitor()
{
STATE=`monitorState $2`
if [ "$STATE" = "active" ] ; then
   echo  $4 already running.;
elif [ "$STATE" = "configured" ] ; then
   echo  $4 found, starting ...
   rmxml start -i=$2 
elif [ "$STATE" = "" ] ; then
   echo  $2 not found, creating and starting ... response\("$6"\)
   createProcessMonitor $1 $2 $3 $4 $5
   evlnotify --add "$6" --filter "data contains \"Monitor_ID=$2\""
   rmxml start -i=$2 
fi
}

function createThreshMonitor() {
  echo Attempt to create Threshold $2 for $3
  cat $1 | sed -e \
  "s/NewName/"$3"/"  | sed -e \
  "s/NewDescription/"$4"/"  |  rmxml create -i=$2 
} 
function thresh_monitor()
{
STATE=`monitorState $2`
if [ "$STATE" = "active" ] ; then
   echo  $3 already running.;
elif [ "$STATE" = "configured" ] ; then
   echo  $3 found, starting ...
   rmxml start -i=$2 
elif [ "$STATE" = "" ] ; then
   echo  $2 not found, creating and starting ... response\("$5"\)
   createThreshMonitor $1 $2 $3 $4 
   evlnotify --add "$5" --filter "data contains \"Monitor_ID=$2\""
   rmxml start -i=$2 
fi
}
TAM_PID=`pidFor tamd`
TAM_WM_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f56
TAM_TH_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f57
RM_PID=`pidFor resourcemonitord`
RM_WM_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f58
RM_TH_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f59
EVLOG_PID=`pidFor evlogd`
EVLOG_WM_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f60
EVLOG_TH_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f61
EVNOT_PID=`pidFor evlnotifyd`
EVNOT_WM_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f62
EVNOT_TH_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f63
EVACT_PID=`pidFor evlactiond`
EVACT_WM_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f64
EVACT_TH_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f65
EVFOR_PID=`pidFor evlforward`
EVFOR_WM_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f66
EVFOR_TH_ID=260900b0-9f8a-4ed7-81d8-6f2fb17e3f67
INODE_TH_ID=e3977830-e0dd-4a8a-897c-dac4849fb29c
thisDIR=`dirname $0`
if [ "$thisDIR" = "." ] ; then
   thisDIR=`pwd`
fi
RESPONSE="$thisDIR/eventAction.sh %recid%"
