#!/bin/sh
RecordID=$1
Alarm=$2
PWR_Alarm=$3
PATH=$PATH:/sbin:/kenb/home/banks/bin:`dirname $0`
######################################################
# eventAction subroutines...
getIP(){
        ifconfig $1 2> /dev/null | grep "inet addr:" |
        awk -F":" ' { print $2 } ' | awk ' { print $1 } '
}
getEventRecord(){
        evlview -f "recid = $1"
}
getEventField(){
      echo $1 |  tr '|' '\n' | grep $2 | tr ',' '\n' | grep $2 |
      awk '{
             print substr( $0, length( paramName )+2)

           }' paramName=$2 paramDelim=$3
}
conditionString(){
  case "$1" in
    0x1f4) echo "within acceptable threshold of"  ;;
    0x1f5) echo ">"  ;;
    0x1f6) echo ">=" ;;
    0x1f7) echo "=" ;;
    0x1f8) echo "<=" ;;
    0x1f9) echo "<"  ;;
    0x1fa) echo "!=" ;;
    *) echo "??" ;;
  esac
 
}
######################################################
# eventAction script
#             invoked by evlactiond
#             for every threshold exception event record
#             which satisfies its query constraints.
######################################################

#DisplayDevice=`getIP eth0``cat /tmp/RMView.display`

Button0=OK
EventRecord=`getEventRecord $RecordID`
CancelEvent=`getEventField "$EventRecord" "event_type=" ","`
Condition=`conditionString $CancelEvent`
EventSeverity=`getEventField "$EventRecord" "severity=" "|"`
EventTime=`getEventField "$EventRecord" "time=" ","`
EventTitle=`getEventField "$EventRecord" "processor=1" "|"`
if [ "$EventTitle" = "" ] ; then
   EventTitle=`getEventField "$EventRecord" "processor=0" "|"`
fi
EventTitle="$EventTitle: $EventTime"
StatName=`getEventField "$EventRecord" "Statistic_Name" "|"`
Monitor_ID=`getEventField "$EventRecord" "Monitor_ID" "|"`
ObservedVal=`getEventField "$EventRecord" "Observed_Value" "|"`
ThresholdVal=`getEventField "$EventRecord" "Threshold_Value" "|"`
Message="$StatName: $ObservedVal $Condition $ThresholdVal"

HOST=`getIP eth0`
for i in `ls /tmp/.X11-unix | cut -f 2 -d 'X'`
do
   if [ "$EventRecord" = "" ]; then
      EventTitle="evlview ERROR"
      Message="Event Record $RecordID Not Found"
      EventSeverity="QWARNING"
   fi
   msgbox -display $HOST:$i  "$Button0" "&Stop Notification" \
          -t "$EventTitle" -m "$Message" -i $EventSeverity 

   if [ $? -eq 1 ]; then
   
       msgbox -display $HOST:$i  "&Cancel" "&Delete" "&Pause" -d 0 -e 0  \
              -t "Change Notification" -m "Notification for  $Monitor_ID" -i $EventSeverity 
       if [ $? -eq 1 ]; then
          rmxml delete -i=$Monitor_ID 
       elif [ $? -eq 2 ]; then
          rmxml pauseNotification -i=$Monitor_ID 
       else
          msgbox -display $HOST:$i  "&OK"  \
              -t "Resume Notification" -m "No change was made for  $Monitor_ID" -i $EventSeverity 
       fi 
   fi

done

if [ "$CancelEvent" = "500" ] ; then
     Alarm=0
fi
if [ "$Alarm" != "" ] ; then
     su root -c "tap $Alarm $PWR_Alarm" &
fi
